Obter estatísticas da hierarquia
curl --request GET \
--url https://api.olie.ai/api/management/projects/{project}/hierarchy/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/projects/{project}/hierarchy/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/projects/{project}/hierarchy/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"data": {
"project_id": "019e0f21-4b3c-71a8-8f0e-9c2d5a7b1e40",
"project_name": "Fundação",
"stats": {
"level": 1,
"depth": 1,
"children_count": 1,
"descendants_count": 1,
"is_root": false,
"is_leaf": false
},
"siblings_count": 1,
"ancestors_count": 1,
"hierarchy_breadcrumb": "Shopping Center > Fundação",
"hierarchy": [
{
"id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"code": "SC-1",
"name": "Shopping Center"
},
{
"id": "019e0f21-4b3c-71a8-8f0e-9c2d5a7b1e40",
"code": "SC-2",
"name": "Fundação"
}
]
}
}projects
Obter estatísticas da hierarquia
Retorna os números da posição do projeto na estrutura: quantidade de irmãos e de ancestrais, estatísticas da árvore, o caminho até o projeto e a hierarquia a que ele pertence.
Conceitos e regras em Hierarquia de projetos.
GET
/
api
/
management
/
projects
/
{project}
/
hierarchy
/
stats
Obter estatísticas da hierarquia
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) do projeto.
Was this page helpful?